Bug 4638 - HildonPannableArea description should mention mov-mode property
: HildonPannableArea description should mention mov-mode property
Status: RESOLVED FIXED
Product: Desktop platform
hildon-widgets
: 5.0-beta
: All Linux
: Low minor (vote)
: 5.0/(10.2010.19-1)
Assigned To: Xabier Rodríguez Calvar
: documentation@maemo.org
: http://maemo.org/api_refs/5.0/beta/hi...
: docs
:
:
  Show dependency tree
 
Reported: 2009-06-05 16:32 UTC by Murray Cumming
Modified: 2010-03-15 20:53 UTC (History)
4 users (show)

See Also:


Attachments
hildon-pannable-area-buttons-scroll-example.c (3.27 KB, text/x-csrc)
2009-06-05 16:33 UTC, Murray Cumming
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Murray Cumming (reporter) 2009-06-05 16:32:26 UTC
If the widget inside the viewport in a HildonPannableArea needs to scroll
horizontally then panning doesn't happen. The scrollbar is shown briefly but
there's no movment. 

It works if it would need to scroll vertically.

The attached test case is just the
hildon/examples/hildon-pannable-area-buttons-scroll-example.c example with the
GtkVBox changed to a GtkHBox.
Comment 1 Murray Cumming (reporter) 2009-06-05 16:33:54 UTC
Created an attachment (id=1217) [details]
hildon-pannable-area-buttons-scroll-example.c

I marked the changed line with /* murrayc */.
Comment 2 Murray Cumming (reporter) 2009-06-05 16:38:58 UTC
Ah, we need to set the "mov-mode" property to make this work. That should be
mentioned in the description.

Is there any particular reason that this isn't auto by default?

"mov" is not English, by the way.
Comment 3 Claudio Saavedra 2009-06-05 16:55:22 UTC
Andre, are this kind of bugs really to be considered documentation bugs? They
come actually from the inline comments in hildon sources.
Comment 4 Murray Cumming (reporter) 2009-06-05 17:17:06 UTC
What difference does it make that the documentation is generated from the
sources with gtk-doc? Or does "documentation" mean something other than
"documentation" in bugzilla? (I don't mean to sound as annoying as that
sounds.)
Comment 5 Claudio Saavedra 2009-06-05 17:33:41 UTC
(In reply to comment #4)
> What difference does it make that the documentation is generated from the
> sources with gtk-doc? Or does "documentation" mean something other than
> "documentation" in bugzilla? (I don't mean to sound as annoying as that
> sounds.)
> 

Well, it makes a difference, since the people responsible for libhildon is not
the same as the one working in documentation. I'm the assignee for libhildon
bugs for a reason, and the assignee for Documentation bugs is someone else, for
a reason. Same way it works in other big projects.

But having said that, I am not fully familiar with the organization in maemo
bugzilla, and that's why I asked Andre.
Comment 6 Claudio Saavedra 2009-06-10 08:49:38 UTC
Moving back.
Comment 7 Andre Klapper maemo.org 2009-06-10 19:18:31 UTC
Mass-adding the new "docs" keyword. Sorry for the noise - You can filter your
bugmail by searching for "docs-cleanup-20090610".
Comment 8 Alberto Garcia Gonzalez 2009-06-16 13:47:46 UTC
Added Alex to Cc
Comment 9 Sveinn Thorarinsson 2009-11-25 08:16:36 UTC
I have the same issue.

There is no way to get the horizontal scrolling to work, except if I also have
the vertical scrolling enabled. Even in that case the horizontal scrolling does
not work as it should.

I have tried all combinations of the mov-mode parameter.
Comment 10 Sveinn Thorarinsson 2009-11-25 08:17:15 UTC
I have the same issue.

There is no way to get the horizontal scrolling to work, except if I also have
the vertical scrolling enabled. Even in that case the horizontal scrolling does
not work as it should.

I have tried all combinations of the mov-mode parameter.
Comment 11 Xabier Rodríguez Calvar 2010-01-28 14:48:33 UTC
Fixed.

commit 02f467068a518a29ae8d660715de8bf2ef3fd630
Author: Xabier Rodriguez Calvar <xrcalvar@igalia.com>
Date:   Thu Jan 28 13:40:55 2010 +0100

    Improved "mode" and "mov-mode" properties doc in HildonPannableArea.

For us developers, thigs are easy, so sometimes it is better if patches come
from outside.
Comment 12 Andre Klapper maemo.org 2010-03-15 20:53:26 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).